#include "../libdiag.h"

// пассивная задержка в n микро-секунд 
void delay( long usec ) {        
   struct timespec req; 
   req.tv_sec = 0;                // секунды 
   req.tv_nsec = usec * 1000L;    // наносекунды  
   nanosleep( &req, NULL );
}
